<template>
    <page-header-wrapper :breadcrumb="false">
        <a-spin v-bind="loadingProps">
            <a-card :bordered="false">
                <a-form :form="form" :model="formData" :label-col="labelCol" :wrapper-col="wrapperCol">
                    <a-form-item label="短信签名" name="smsname">
                        <a-input style="width: 50%"
                            v-decorator="['smsname', { initialValue: formData.smsname, rules: [{ required: true, message: '请填写短信签名' }] }]" />
                    </a-form-item>
                    <a-form-item label="是否启用后缀" name="issuffix">
                        <a-switch v-model:checked="formData.issuffix" @change="issuffixChange"/>
                    </a-form-item>
                    <a-form-item v-if="formData.issuffix == true" label="后缀内容" name="suffix">
                        <a-input style="width: 50%"
                            v-decorator="['suffix', { initialValue: formData.suffix, rules: [{ required: true, message: '请填写后缀内容' }] }]" />
                    </a-form-item>
                    <a-form-item label="账号" name="username">
                        <a-input style="width: 50%"
                            v-decorator="['username', { initialValue: formData.username, rules: [{ required: true, message: '请填写账号' }] }]" />
                    </a-form-item>
                    <a-form-item label="密码" name="pwd">
                        <a-input style="width: 50%"
                            v-decorator="['pwd', { initialValue: formData.pwd, rules: [{ required: true, message: '请填写密码' }] }]" />
                    </a-form-item>
                    <a-form-item label="是否开启自动审核" name="isautosh">
                        <a-switch  v-model:checked="formData.isautosh" @change="isautoshChange" />
                    </a-form-item>
                    <a-form-item :wrapper-col="{ span: 14, offset: 4 }">
                        <a-button @click="handleUpdate" type="primary">保存</a-button>
                        <a-button @click="cancel" style="margin-left: 10px">取消</a-button>
                    </a-form-item>
                </a-form>
            </a-card>
        </a-spin>

    </page-header-wrapper>
</template>
  
<script>
import { GetSmsSetManage,UpdateSmsSetManage } from '@/api/smsapi'
export default {
    name: 'smsset',
    components: {
    },
    data() {
        return {
            loadingProps:
            {
                spinning: false
            },
            formData: {},
            labelCol: { span: 4 },
            wrapperCol: { span: 14 },
            formLayout: 'horizontal',
            form: this.$form.createForm(this, { name: 'coordinated' })
        }
    },
    created() {
        this.getDetail()
    },
    methods: {
        isautoshChange(checked)
        {
            this.formData.isautosh=checked;
        },
        issuffixChange(checked)
        {
            this.formData.issuffix=checked;
        },
        // 获取详情
        getDetail() {
            const parameter = {}
            GetSmsSetManage(parameter).then(res => {
                res.result.isautosh = res.result.isautosh == 1;
                res.result.issuffix = res.result.issuffix == 1;
            /*     this.formData.isautosh=res.result.isautosh;
                this.formData.issuffix=res.result.issuffix; */
                this.formData = res.result;
            })
        },
        //取消
        cancel() {
            this.getDetail()
        },
        //修改
        handleUpdate() {
            this.form.validateFields((err, values) => {
                if (!err) {
                    console.log(values);
                    console.log(this.formData);
                    let suffix=this.formData.issuffix?values.suffix:'';
                    const parameter = {
                       id:this.formData.id,
                       smsname:values.smsname,
                       issuffix:this.formData.issuffix?1:0,
                       suffix:suffix,
                       username:values.username,
                       pwd:values.pwd,
                       isautosh:this.formData.isautosh?1:0
                    }
                    this.loadingProps.spinning = true
                    UpdateSmsSetManage(parameter).then(res => {
                        if (res.result) {
                            this.$message.success(`修改成功！`)
                        }
                    }).finally(() => {
                        this.loadingProps.spinning = false
                    })
                }
            })
        }
    }
}
</script>
  